//
// Basics
//
CUValueDescriptorYes                            = "Yes";
CUValueDescriptorNo                             = "No";

CUValueDescriptorSubtypeNumberBooleanPopUpCustomYes = "Custom Yes";
CUValueDescriptorSubtypeNumberBooleanPopUpCustomNo  = "Custom No";

//
// Value Descriptor subtypes
//
CUValueDescriptorYourCustomViewHere              = "Your custom view here";
CUValueDescriptorSubtypeNoDisplayDefault         = "No display";

// Color
CUValueDescriptorSubtypeColorDefault             = "Color with opacity";
CUValueDescriptorSubtypeColorOpaque              = "Opaque color";

// Strings
CUValueDescriptorSubtypeStringDefault            = "String";
CUValueDescriptorSubtypeStringParagraph          = "Paragraph";

// Paths
CUValueDescriptorSubtypeStringPathDefault        = "File path";

// Numbers
CUValueDescriptorSubtypeNumberDefault            = "Number";
CUValueDescriptorSubtypeNumberBooleanPopUpCustom = "Custom pop-up";
CUValueDescriptorSubtypeNumberBooleanPopUp       = "Pop-up";
CUValueDescriptorSubtypeNumberBooleanCheckBox    = "Checkbox";
CUValueDescriptorSubtypeNumberInteger            = "Integer";
CUValueDescriptorSubtypeNumberFloat              = "Float";
CUValueDescriptorSubtypeNumberSlider             = "Slider";
CUValueDescriptorSubtypeNumberSliderCircular     = "Circular slider";


// Array
CUValueDescriptorSubtypeArrayString              = "Array of strings";
CUValueDescriptorSubtypeArrayPath                = "Array of file paths";
CUValueDescriptorSubtypeArrayEnumeration         = "Array of names associated to numbers equivalences";

